# InlineResponse20032Data

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**jobId** | **Integer** | Job ID. |  [optional]
**created** | **String** | Date and time the job request was made.  Format: YYYY-MM-DD HH:MM:SS in GMT. |  [optional]
**updated** | **String** | Date and time the job status was last updated.  Format: YYYY-MM-DD HH:MM:SS in GMT. |  [optional]
**completed** | **String** | Date and time the job completed (for status &#x3D; complete).  Format: YYYY-MM-DD HH:MM:SS in GMT. |  [optional]
**uid** | **Integer** | User ID of the user who submitted the job. |  [optional]
**filename** | **String** | The name of the file that the report CSV data will be saved into. |  [optional]
**expectedRows** | **Integer** | Number of rows of data in the CSV file that the job should generate.  This is available once the status has changed to running. |  [optional]
**completedRows** | **Integer** | Number of rows of data that have been generated so far.  This, combined with expected_rows and status, enable determination of job progress. |  [optional]
**status** | **String** | Overall job status.  One of: submitted, preparing, running, uploading, complete and failed. |  [optional]
**statusDetail** | **String** | For status &#x3D; failed, this field indicates why. |  [optional]
**maxJobs** | **Integer** | Maximum number of asynchronous jobs, spawned by this customer account, that can be concurrently running. |  [optional]
**currentJobs** | **Integer** | Current number of running asynchronous jobs spawned by this customer account. |  [optional]
