# Server

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**serverId** | **String** | Unique server ID number. |  [optional]
**host** | **String** | Short name for your server. E.g., “rs999”. |  [optional]
**hostname** | **String** | Fully qualified name for your server. E.g., “rs999.luxsci.com”. |  [optional]
**cpuCores** | **Integer** | Number of CPU Cores. |  [optional]
**ramGb** | **Integer** | Number of GB of Physical Ram. |  [optional]
**premiumSla** | **String** | Boolean. If true (1), this server is flagged as obeying the Premium SLA. |  [optional]
**loadBalanced** | **String** | Boolean. If true (1), this server is flagged as being part of a hardware load balanced group of servers. |  [optional]
**publicIp** | **String** | The main public IP address for this server.                       |  [optional]
**serverTypeCode** | **String** | This is a code of the format A-B.extra that uniquely identifies the kind of server that this is. A &#x3D; CPU Cores; B &#x3D; GB Ram; extra is used for AWS servers to indetify their flavor. X is one of: - o - Oracle Cloud Infrastructure - a AWS Public Cloud - p Physical Server - g General / other.&#x27; |  [optional]
